#ifndef _IGSVGA_H
#define _IGSVGA_H

#define	IGSVGA_READ	0x53570021
#define	IGSVGA_WRITE	0x53570022
#define	IGSVGA_WRITE_SPECIFIC	0x53570023

#define CRT_CMD 1
#define ATR_CMD 2
#define SEQ_CMD 3
#define GRF_CMD 4
#define MISC_CMD 5
#define EXT_CMD 6
#define PAL_CMD 7
#define	TV_CMD	8

typedef struct
{
unsigned short	tv_reg[64];
char		grf_reg[256];
char		atr_reg[20];
char		crt_reg[25];
char		seq_reg[5];
char		misc_reg;
char		pal_reg;
}IGSREGS;

struct reg_ops
{
	int	reg_t;  /* tv, seq, etc. */	
        unsigned long    reg;    /* H,h: implies E4A4; L,l: implies E4A0 */
        unsigned short   val;
};

#endif /* _IGSVGA_H */
